#include "error.h"
#include <stdio.h>

static int level = 0;

void error_set_level(int _level)
{
    level = _level;
}

void error_message(int _level, const char *file, int line,
                   const char *message)
{
    if(_level <= level)
        fprintf(stderr, "%s: %d: %d: %s\n", file, line, _level, message);
}
